﻿*************************************************************************************
***Self-reported version for KINDL Adipositas-Modul
***KINDL_analysis_children_Adiposity_English.

***Remark:
*Higher values reflect better HrQoL.
*Items 1-12 are summarized on one scale
(see Ravens-Sieberer et al. (2012). Quality of life after in-patient rehabilitation in children with obesity 
and Wille et al. (2008). The impact of overweight and obesity on health-related quality of life in childhood - results from an intervention study).
*Item 13-15 are additional information, which do not form a scale.

*********Recoding of raw scores.
*Negativly pooled items.
RECODE c_adi_01 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_01. 
RECODE c_adi_02 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_02. 
RECODE c_adi_03 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_03. 
RECODE c_adi_04 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_04. 
RECODE c_adi_05 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_05. 
RECODE c_adi_06 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_06. 
RECODE c_adi_07 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_07. 
RECODE c_adi_08 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_08. 
RECODE c_adi_09 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_09. 
RECODE c_adi_10 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_10. 
RECODE c_adi_11 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_11. 
RECODE c_adi_13 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_13. 
RECODE c_adi_14 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_14. 
RECODE c_adi_15 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XDI_15. 

*Positively pooled items.
RECODE c_adi_12 (5=5) (4=4) (3=3) (2=2) (1=1) INTO C_XDI_12. 

VARIABLE LABELS
C_XDI_01 '... I felt fat and immobile'
C_XDI_02 '... I got out of breath quickly and was puffed out quickly'
C_XDI_03 '... I was sad and  depressed because of my weight'
C_XDI_04 '... I was annoyed by my many attempts at getting thinne'
C_XDI_05 '... I felt ashamed because of my weight'
C_XDI_06 '... I was dissatisfied with him/herself because of my weight'
C_XDI_07 '... my family grumbled at me because of my weight'
C_XDI_08 '... I had to keep an eye on my weight during meals at home'
C_XDI_09 '... I was teased by others because of my weight'
C_XDI_10 '... I was left out by others when they did things together, because of my weight'
C_XDI_11 '... I was distracted during lessons by the thought of food'
C_XDI_12 '... I was able to take part in PE lessons well, in spite of my weight'
C_XDI_13 'How often during the past week did you have complaints because of being overweight (obese)?'
C_XDI_14 'How severe were your complaints because of being overweight during the past week?'
C_XDI_15 'How much did being overweight bother you during the past week?'.
EXECUTE.

VALUE LABELS
C_XDI_01 C_XDI_02 C_XDI_03 C_XDI_04 C_XDI_05 C_XDI_06 C_XDI_07 C_XDI_08 C_XDI_09 C_XDI_10 C_XDI_11 C_XDI_13
1 'all the time'
2 'often'
3 'sometimes'
4 'seldom'
5 'never'.
EXECUTE.

VALUE LABELS
C_XDI_14
1 'very severe'
2 'fairly severe'
3 'moderately severe'
4 'somewhat severe'
5 'none at all'.
EXECUTE.

VALUE LABELS
C_XDI_15
1 'very much'
2 'fairly much'
3 'moderately'
4 'somewhat'
5 'not at all'.
EXECUTE.

VALUE LABELS
C_XDI_12
1 'never'
2 'seldom'
3 'sometimes'
4 'often'
5 'all the time'.
EXECUTE.

****Total score.
*Calculating sum score.
COMPUTE adi_mean = mean.8(C_XDI_01, C_XDI_02, C_XDI_03, C_XDI_04, C_XDI_05, C_XDI_06, C_XDI_07, C_XDI_08, C_XDI_09, C_XDI_10, C_XDI_11, C_XDI_12).
EXECUTE.

COMPUTE adi_sum = adi_mean*12.
EXECUTE.

*Calculating scale transformed to 100.
COMPUTE adi_100 = ((adi_sum-12)/48)*100.
EXECUTE.

VARIABLE LABELS
adi_mean 'KINDL - Adiposity module mean'
adi_sum 'KINDL - Adiposity module sum'
adi_100 'KINDL - Adiposity module 100'.
EXECUTE.


SORT CASES BY id.
EXECUTE.

